function [value,isterminal,direction] = trebuchetevents(t,y)
% Locate the time when height passes through zero in a 
% decreasing direction and stop integration.
% if (y(1)< -0.75*pi && y(2)>0)  || y(5)< -pi
if  y(6)>5 || y(5)< -pi || (y(1)< -0.75*pi && y(2)>0);
    flag = 0;
else
    flag = 1;
end
value = flag;     % Detect height = 0
isterminal = 1;   % Stop the integration
direction = 0;   % Negative direction only

