function output = setthetainitial(L, pivot_height)
max_theta = 80*pi/180;  %degrees * pi/180 to turn it into radians

if pivot_height > L
    output = [max_theta; 0]; %assigns the initial theta angle and velocity.
else
    if asin(pivot_height/L) > max_theta
        output = [max_theta; 0];%assigns the initial theta angle and velocity.
    else
        output = [asin(pivot_height/L); 0];%assigns the initial theta angle and velocity.
    end
end
